KJL - Bug #2743

Autoload Unit di menu Stock Transfer
05/08/2024 04:51 PM - haykal haykal

Status: Closed Start date: 05/08/2024
Priority: High Due date: 05/14/2024
Assignee: jihad .... % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Ketika user memilih Nama Barang, ingin agar field Unit otomatis terautoload (mengambil dari field Unit of Measurement yang sudah
terisi di Material Master Data). Terima kasih.

Menu Path: Logistic & Service > Inventory Document > Stock Transfer
Port: http://remote.minovais.com:61138/
DB: MinovaES_KJL_Prod

History

#1 - 05/13/2024 03:33 PM - Kezia Pawitra Yulianti
- Due date set to 05/14/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 05/15/2024 02:42 PM - shofwan shiddiq
- File clipboard-202405151441-aahcz.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to jihad ....

Dear Jihad, untuk unit sudah auto load ya, terima kasih.
SDATATABLEFIELD > TableName = PTRMATERIALITEMINTERNAL WHERE FieldName ='MateriallD' > Field = SelectFunction
Script Select Function:

debugger; var store = Ext.StoreMgr.lookup("storePTRMATERIALITEMINTERNAL");
debugger;
http://remote.minovais.com:61138/

var idx = store.getCount() - 1;
var materiallD = val.value;

var unitmasurement;
Ext.Ajax.request({

async: false,

method: 'POST’,

url: /UserControl/GetStore',
params: {

tableName: 'PMDMATO0001",
param: 'MateriallD[=]' + materiallD
1

success: function (response) {

var results = Ext.decode(response.responseText);
dtgrid1 = results.data;

}

D;

unitmasurement = dtgrid1%UnitMeasurement;
store.getAt(idx).set('UnitMeasurement’, unitmasurement);

#3 - 05/15/2024 03:07 PM - jihad ....
- Status changed from QA Test to Closed
